;
; bank1.asm - bank1 assembler
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
BANK		= 1
		.include config.def
		.include makro.def
		.include consts.def
		.include external.ram
		.include internal.ram
                .include man.ram

		*= $8000

		.fill $4000,$ff

		*= $a000
		.if DE32_EXISTS=0
config16test	.byte $ff
		.fi
		.byte $ff,$ff,$ff
		.include crosslnk.asm
		.include load.asm
		.include ram.asm	;duplicated code!

buffer_start	.for iodhtoe=0,iodhtoe<MAX_BUFFERS,iodhtoe=iodhtoe+1
		.byte iodhtoe*8+ram_exp_buff_avail0
		.next

		.include path.asm
		.include c128keyb.asm
		.include lowlevel.asm	;duplicated code!
		.include misc.asm	;duplicated code!
		.include read.asm
		.include atapi.asm	;duplicated code!
		.include write.asm
		.include trap.asm
                
                .if *>$9f85
                .error
                .fi
                
                *= $9f85
                sta bank_port2	;0
                jsr input_	;3
                jmp *-6		;6
                sta bank_port2	;9
                jsr clrinput_	;12
                jmp *-6		;15
                sta bank_port2	;18
                jsr numtoasc16_	;21
                jmp *-6		;24
                sta bank_port2	;27
                jsr numtoasc24_	;30
                jmp *-6		;33
                sta bank_port2	;27
                jsr man_printfullfree_	;30
                jmp *-6		;33
                sta bank_port2	;27
                jsr scrollbar_	;30
                jmp *-6		;33
                sta bank_port2	;27
                jsr man_fastload_init_	;30
                jmp *-6		;33
                sta bank_port2	;27
                jsr man_fastload_	;30
                jmp *-6		;33
                sta bank_port2	;27
                jsr man_fastsave_init_	;30
                jmp *-6		;33
                sta bank_port2	;27
                jsr man_fastsave_	;30
                jmp *-6		;33
                
 
		*= $8000
		.include messages.asm	;duplicated code!
		.include errors.asm
		.include ds1302.asm
		.include setup.asm
		.include fastload.asm
		.include man2.asm
		.include man_fastload.asm

		.if *>$9e60
		.error "Bank1 block $8000-$9e60 over!"
		.fi
